TFilter< R > Struct Template Reference
Filtering and combining

base class for all filer type functors. More...

`#include <mia/core/filter.hh>`

Inheritance diagram for TFilter< R >:
[legend]

## Public Types

typedef R | result_type
| defines the return type of the filter function

## Detailed Description

template<typename R>
struct TFilter< R >

base class for all filer type functors.

Base class for all filters that can be used with the pixel type transparent filter functions filter and filter_equal Derived classes have to define an operator like template &lt typename T &lt TFilter &ltR&gt::result_type operator () (const T& data) const; or template &lttypename T &gt TFilter &ltR&gt::result_type operator () (const T& data);

Definition at line 70 of file core/filter.hh.

## Member Typedef Documentation

## result_type

template<typename R>

typedef R TFilter< R >::result_type

defines the return type of the filter function

Definition at line 72 of file core/filter.hh.

The documentation for this struct was generated from the following file:

- core/filter.hh